<template>
  <label>
    <span>{{ label }}</span>
    <input type="text" :placeholder="placeholder" :minlength="minlength">
    <span style="color:red" v-if="error">{{ error }}</span>
  </label>
</template>

<script setup>
  defineProps(['label', 'placeholder', 'minlength', 'error'])
</script>
